defmodule Rav1e.MixProject do
  use Mix.Project

  def project do
    [
      app: :rav1e,
      package: package(),
      description: "Unofficial, low-Level Elixir API for the fastest and safest AV1 encoder.",
      licenses: "",
      links: "",
      version: "0.1.0",
      elixir: "~> 1.14",
      start_permanent: Mix.env() == :prod,
      deps: deps()
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [:logger]
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      {:rustler, "~> 0.26.0"},
      {:ex_doc, ">= 0.0.0", only: :dev, runtime: false}
    ]
  end

  defp package() do
    [
      # This option is only needed when you don't want to use the OTP application name
      name: "rav1e",
      # These are the default files included in the package
      files: ~w(lib native  priv .formatter.exs mix.exs README* Cargo.toml),
      licenses: [],
      links: %{"GitHub" => "https://github.com/jnnks/rav1e_nif"}
    ]
  end
end
